# History file 'corfft.h' to generate and plot the representations
# of the random media for paper
#     Klimes, L. (1997): Correlation functions of random media.
#         In: Seismic Waves in Complex 3-D Structures, Report 6.
#         Department of Geophysics, Charles University, Prague.
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "forms/" "mul.cal"

# Pseudorandom numbers and their FFT
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Grid dimensions for FFT
  N1=512    N1OUT=512
  N2=512    N2OUT=512
  D1=0.002  D1OUT=6.135923
  D2=0.002  D2OUT=6.135923
  O1=0.     O1OUT=-1570.796
  O2=0.     O2OUT=-1570.796

# Selecting a particular pseudo-random representation
  ISEED=-13

# Generating pseudorandom numbers
  grdran:

# FFT of the pseudorandom numbers
  FFT=1.  FFTINR='grdran.out' FFTOUTR='grdfftr.out' FFTOUTI='grdffti.out'
  grdfft:

# Representations of individual random media
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Grid dimensions for inverse FFT
  N1=512        N1OUT=501
  N2=512        N2OUT=501
  D1=6.135923   D1OUT=0.002
  D2=6.135923   D2OUT=0.002
  O1=-1570.796  O1OUT=0.
  O2=-1570.796  O2OUT=0.
# Data for inverse FFT common to all representations
  FFT=-1. FFTINR='grdcalr.out'  FFTINI='grdcali.out'  FFTOUTI=

# Figure 2
  POWERN=-0.2  ACORG=0.005  ACOR=0.020  FFTOUTR='fft02.out'
  grdcor: 
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal: 
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out' 
  grdcal: 
  grdfft:

# Figure 3
  POWERN=-1.0  ACORG=0.005  ACOR=       FFTOUTR='fft03.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Figure 4
  POWERN=-0.2  ACORG=0.     ACOR=0.020  FFTOUTR='fft04.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Figure 5
  POWERN=0.5   ACORG=0.     ACOR=0.020  FFTOUTR='fft05.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Figure 6
  POWERN=0.0   ACORG=0.     ACOR=0.020  FFTOUTR='fft06.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Figure 7
  POWERN=-0.2  ACORG=0.     ACOR=       FFTOUTR='fft07.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Figure 8
  POWERN=-0.2  ACORG=0.005  ACOR=       FFTOUTR='fft08.out'
  grdcor:
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdfftr.out' GRD3='grdcalr.out'
  grdcal:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdffti.out' GRD3='grdcali.out'
  grdfft:

# Grid dimensions of the representations of the random media
  N1=501  N2=501  D1=0.002  D2=0.002

# Rescaling the representations of the random media
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Velocities between 0.0 and 2.0, with mean value of 1.000
  DSD=0.500  VMEAN=1.000  DEVMAX=1.000  DEVEXP=2.
  STATIN='fft02.out' STATOUT='corff02.out'  grdstat:
  STATIN='fft03.out' STATOUT='corff03.out'  grdstat:
  STATIN='fft04.out' STATOUT='corff04.out'  grdstat:
  STATIN='fft05.out' STATOUT='corff05.out'  grdstat:
  STATIN='fft06.out' STATOUT='corff06.out'  grdstat:
  STATIN='fft07.out' STATOUT='corff07.out'  grdstat:
  STATIN='fft08.out' STATOUT='corff08.out'  grdstat:

# Plotting the representations of the random medium
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  HSIZE=16.032  HOFFSET=2.484
  VCIRC=2.      VREF=1.000     CREF=.166667
  GRD='corff02.out' PS='corff02.ps'  grdps: 
  GRD='corff03.out' PS='corff03.ps'  grdps: 
  GRD='corff04.out' PS='corff04.ps'  grdps: 
  GRD='corff05.out' PS='corff05.ps'  grdps: 
  GRD='corff06.out' PS='corff06.ps'  grdps: 
  GRD='corff07.out' PS='corff07.ps'  grdps: 
  GRD='corff08.out' PS='corff08.ps'  grdps: 

# ======================================================================

# List of output PostScript figures
# 'corff02.ps', 'corff03.ps', ..., 'corff08.ps'

